Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1279101 - [abrt] mate-panel: g_type_check_instance_is_fundamentally_a(): mate-panel killed by SIGSEGV
Summary: [abrt] mate-panel: g_type_check_instance_is_fundamentally_a(): mate-panel kil...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: mate-panel
Version: 23
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Wolfgang Ulbrich
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:4dad27b58c562679275410a593d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-11-07 22:05 UTC by Davide Repetto
Modified: 2016-12-20 15:29 UTC (History)
8 users (show)

Fixed In Version: mate-panel-1.12.2-2.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 15:29:59 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (deleted)
2015-11-07 22:05 UTC, Davide Repetto
no flags Details
File: cgroup (deleted)
2015-11-07 22:05 UTC, Davide Repetto
no flags Details
File: core_backtrace (deleted)
2015-11-07 22:05 UTC, Davide Repetto
no flags Details
File: dso_list (deleted)
2015-11-07 22:06 UTC, Davide Repetto
no flags Details
File: environ (deleted)
2015-11-07 22:06 UTC, Davide Repetto
no flags Details
File: exploitable (deleted)
2015-11-07 22:06 UTC, Davide Repetto
no flags Details
File: limits (deleted)
2015-11-07 22:06 UTC, Davide Repetto
no flags Details
File: maps (deleted)
2015-11-07 22:06 UTC, Davide Repetto
no flags Details
File: mountinfo (deleted)
2015-11-07 22:06 UTC, Davide Repetto
no flags Details
File: open_fds (deleted)
2015-11-07 22:06 UTC, Davide Repetto
no flags Details
File: proc_pid_status (deleted)
2015-11-07 22:06 UTC, Davide Repetto
no flags Details

Description Davide Repetto 2015-11-07 22:05:29 UTC
Description of problem:
This problem happens often whe I log out and then log in again.
It happened before with F22 and is still happening now with F23.


Version-Release number of selected component:
mate-panel-1.10.1-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        mate-panel
crash_function: g_type_check_instance_is_fundamentally_a
executable:     /usr/bin/mate-panel
global_pid:     3147
kernel:         4.2.5-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_type_check_instance_is_fundamentally_a at gtype.c:4030
 #2 container_child_background_set at mate-panel-applet-frame-dbus.c:240
 #3 g_simple_async_result_complete at gsimpleasyncresult.c:801
 #4 set_applet_property_cb at mate-panel-applet-container.c:560
 #5 g_task_return_now at gtask.c:1104
 #6 g_task_return at gtask.c:1162
 #7 g_dbus_connection_call_done at gdbusconnection.c:5702
 #8 g_task_return_now at gtask.c:1104
 #9 complete_in_idle_cb at gtask.c:1118
 #14 gtk_main at gtkmain.c:1268

Potential duplicate: bug 1238820

Comment 1 Davide Repetto 2015-11-07 22:05:38 UTC
Created attachment 1091090 [details]
File: backtrace

Comment 2 Davide Repetto 2015-11-07 22:05:42 UTC
Created attachment 1091091 [details]
File: cgroup

Comment 3 Davide Repetto 2015-11-07 22:05:46 UTC
Created attachment 1091092 [details]
File: core_backtrace

Comment 4 Davide Repetto 2015-11-07 22:06:02 UTC
Created attachment 1091093 [details]
File: dso_list

Comment 5 Davide Repetto 2015-11-07 22:06:07 UTC
Created attachment 1091094 [details]
File: environ

Comment 6 Davide Repetto 2015-11-07 22:06:12 UTC
Created attachment 1091095 [details]
File: exploitable

Comment 7 Davide Repetto 2015-11-07 22:06:19 UTC
Created attachment 1091096 [details]
File: limits

Comment 8 Davide Repetto 2015-11-07 22:06:30 UTC
Created attachment 1091097 [details]
File: maps

Comment 9 Davide Repetto 2015-11-07 22:06:36 UTC
Created attachment 1091098 [details]
File: mountinfo

Comment 10 Davide Repetto 2015-11-07 22:06:42 UTC
Created attachment 1091099 [details]
File: open_fds

Comment 11 Davide Repetto 2015-11-07 22:06:48 UTC
Created attachment 1091100 [details]
File: proc_pid_status

Comment 12 Wolfgang Ulbrich 2015-11-08 12:26:48 UTC
Please test http://koji.fedoraproject.org/koji/taskinfo?taskID=11750807
Here i've revert the commit which was mentioned in https://bugzilla.redhat.com/show_bug.cgi?id=1238820#c17
But this can also bring back https://bugzilla.redhat.com/show_bug.cgi?id=1192722
If this build fix your issue than we have a base to discuss this at upstream.

Comment 13 Wolfgang Ulbrich 2015-11-08 12:37:46 UTC
opps, wrong link.
Here's the one for f23 builds http://koji.fedoraproject.org/koji/taskinfo?taskID=11750854

Comment 14 Wolfgang Ulbrich 2015-11-08 15:59:53 UTC
Now, i run for my self in this issue :)
During session logout i saw the abrt alarm, but the panel doesn't crashed.
So it looks like the panel didn't closed cleanly, or abrt think it is aseqfault if the panel closed.
The abrt notification with session start is only the repeated notification if the session ends.

Comment 15 Wolfgang Ulbrich 2015-11-28 21:27:37 UTC
Did you test my scratch builds?
Otherwise i assume you don't want that try to fix your problems.

Comment 16 dgardatl 2015-12-01 08:19:27 UTC
Another user experienced a similar problem:

I installed the Xfce Desktop from my Mate desktop and rebooted the system.  After the system rebooted I logged into the Xfce session/desktop.  After the login I saw the error and reported it.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        mate-panel
crash_function: g_type_check_instance_is_fundamentally_a
executable:     /usr/bin/mate-panel
global_pid:     4446
kernel:         4.2.6-301.fc23.x86_64+debug
package:        mate-panel-1.12.0-1.fc23
reason:         mate-panel killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 17 Wolfgang Ulbrich 2016-05-11 14:40:46 UTC
New attempt from upstream to fix this issue.
Scratch build for all branches please test, as upstream and me couldn't reproduce the issue you help is needed.
f24
http://koji.fedoraproject.org/koji/taskinfo?taskID=14010315
f23
http://koji.fedoraproject.org/koji/taskinfo?taskID=14010343
f22
http://koji.fedoraproject.org/koji/taskinfo?taskID=14010355
epel7
http://koji.fedoraproject.org/koji/taskinfo?taskID=14010361

Comment 18 Fedora Update System 2016-05-21 13:32:46 UTC
mate-panel-1.12.2-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-46287aa373

Comment 19 Fedora Update System 2016-05-22 03:50:11 UTC
mate-panel-1.12.2-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-46287aa373

Comment 20 Fedora Update System 2016-05-29 22:21:58 UTC
mate-panel-1.12.2-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Dominik 'Rathann' Mierzejewski 2016-07-15 21:52:01 UTC
This is still happening with mate-panel-1.14.1-1.fc23.

Comment 22 Wolfgang Ulbrich 2016-07-15 22:02:55 UTC
Can you please attach a new stacktrace?

Comment 23 Fedora End Of Life 2016-11-24 13:10:48 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 24 Fedora End Of Life 2016-12-20 15:29:59 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.